Live News

View as MarkdownOpen in Claude
This endpoint returns structured news results using your natural language query. <Note> **NOTE**: This endpoint is currently available only to exclusive early access partners. To express interest in early access, please reach out via email to [[email protected]](mailto:[email protected]). </Note>

Authentication

X-API-Keystring

Required to authorize API access. See how to get an API key.

Query parameters

qstringRequired
The query used to retrieve relevant news results.
countintegerOptional1-40Defaults to 5
Specifies the maximum number of news results to return.
page_numintegerOptional>=0

Indicates the page_num for pagination. The page_num is calculated in multiples of count. For example, if count = 5 and page_num = 1, results 5–10 will be returned.

recencystringOptional
Filters news results by publication date/time. Accepts the following values: - `day` — Past 24 hours - `week` — Past 7 days - `month` — Past 31 days - Date range: `YYYY-MM-DDtoYYYY-MM-DD` (e.g., `2024-01-15to2024-02-12`) - Datetime range: `YYYY-MM-DDTHH:MMtoYYYY-MM-DDTHH:MM` (e.g., `2024-01-15T09:30to2024-01-15T17:45`) Invalid values are silently ignored (no time filtering applied).

Response

A JSON object containing news results.
newsobject

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error